Page MenuHomePhabricator

Provide FY2018-19 development contributors statistics for WMF Audit report
Closed, ResolvedPublic0 Estimated Story Points

Event Timeline

Aklapper triaged this task as High priority.Aug 26 2019, 5:51 PM
Aklapper created this task.
Aklapper closed this task as Resolved.Aug 26 2019, 6:11 PM

Steps anyone can perform to retrieve the requested data:

  1. Go to https://wikimedia.biterg.io/
  2. Click Gerrit in the top bar
  3. Choose "Overview" in the dropdown
  4. In the upper right corner, click < Last 90 days >
  5. Change the selected button from Quick to Absolute
  6. As the Time Range, enter From: 2018-07-01 00:00:00.000 and To: 2019-06-30 23:59:59.999
  7. Click the Go button
  8. In the box called Status, click the section of the pie chart which has the color of MERGED; see the additional status: "MERGED" item below the * text field
  9. See that the first box on the left called Gerrit says 48,361 Changesets and 447 Changeset Submitters for all contributors
  10. In the second box called Organizations, click the section of the pie chart which has the color of Independent; see the additional author_org_name: "Independent" item below the * text field
  11. See that the first box on the left called Gerrit says 9,158 Changesets and 258 Changeset Submitters for independent contributors

Which brings us to:

During the 12 months between July 01, 2018 and June 30, 2019, there were 48361 commits merged, through the efforts of approximately 447 authors/contributors, of which 9158 commits were through the efforts of approximately 258 volunteers.

Note that these numbers do not include data for repositories which are canonically hosted on Github.com instead of Wikimedia Git/Gerrit, so the actual number should be higher (see T202186#4512062 for some technical details on this limitation).

bd808 updated the task description. (Show Details)Aug 26 2019, 7:43 PM